<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: epg/api/list_channels_by_datasource_response.proto

namespace Tellie\Epg\Api;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;

/**
 * Generated from protobuf message <code>tellie.epg.api.ListChannelsByDatasourceResponse</code>
 */
class ListChannelsByDatasourceResponse extends \Google\Protobuf\Internal\Message
{
    /**
     * Generated from protobuf field <code>repeated .tellie.epg.model.Channel channels = 1;</code>
     */
    private $channels;

    /**
     * Constructor.
     *
     * @param array $data {
     *     Optional. Data for populating the Message object.
     *
     *     @type array<\Tellie\Epg\Model\Channel>|\Google\Protobuf\Internal\RepeatedField $channels
     * }
     */
    public function __construct($data = NULL) {
        \GPBMetadata\Epg\Api\ListChannelsByDatasourceResponse::initOnce();
        parent::__construct($data);
    }

    /**
     * Generated from protobuf field <code>repeated .tellie.epg.model.Channel channels = 1;</code>
     * @return \Google\Protobuf\Internal\RepeatedField
     */
    public function getChannels()
    {
        return $this->channels;
    }

    /**
     * Generated from protobuf field <code>repeated .tellie.epg.model.Channel channels = 1;</code>
     * @param array<\Tellie\Epg\Model\Channel>|\Google\Protobuf\Internal\RepeatedField $var
     * @return $this
     */
    public function setChannels($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \Tellie\Epg\Model\Channel::class);
        $this->channels = $arr;

        return $this;
    }

}

